/* HEADER */

body {
  font-family: "Ubuntu", sans-serif;
  background-image: url(../img/background.png);
  background-repeat: no-repeat;
  background-size: 100% 100%;
}

.head-menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.4);
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
  padding: 18px 80px;
}

.head-logo-link {
  text-decoration: none;
}

.head-logo-text {
  color: #fff;
  font-family: Ubuntu;
  font-size: 22px;
  font-style: normal;
  font-weight: 700;
  line-height: 22px;
  margin: 0;
}

.head-logo-text:hover {
  color: #3cb878;
}

.head-nav-bar {
  display: flex;
}

.head-nav-list {
  display: flex;
  margin: 0;
  list-style: none;
  gap: 24px;
  padding-left: 0;
  align-items: center;
}

.head-nav-link {
  display: block;
  width: min-content;
  height: min-content;
  background-repeat: no-repeat;
  color: #fff;
}

.head-nav-link:hover {
  color: #3cb878;
}

.head-nav-list::after {
  content: "";
  border-right: 1px solid rgb(255, 255, 255, 0.9);
  opacity: 0.5;
  width: 1px;
  height: 19px;
}

.header-text-decor {
  color: #fff;
  font-size: 14px;
  line-height: 14px;
}

.header-text-decor-link:hover {
  color: #3cb878;
}

.header-text-margin {
  margin-left: 24px;
}

/* MAIN CONTENT */

.main-content {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 54px 0;
  width: 100vw;
  height: 100vh;
}

.form-container {
  position: relative;
  flex-direction: column;
  background-color: #fff;
  display: flex;
  padding: 30px 60px 38px 60px;
  max-width: 444px;
  height: fit-content;
  align-content: flex-start;
  flex-wrap: wrap;
}

.form-sign-link {
  justify-self: end;
  margin-left: 216px;
}

.form--links {
  text-decoration: none;
  color: #3cb878;
  font-size: 14px;
  line-height: 14px;
}

.form--links:hover {
  color: #01813f;
  text-decoration: underline;
}

.btn-wrap {
  display: flex;
  flex-wrap: wrap;
  align-content: space-between;
}

.form-title::before {
  content: "";
  position: absolute;
  top: 29px;
  left: 0;
  width: 18px;
  height: 18px;
  background-color: #3cb878;
}

.form-title {
  margin: 0;
  color: #434343;
  font-size: 20px;
  font-weight: 400;
  line-height: 20px;
  margin-bottom: 15px;
}

/* SOCIAL BTN */

.decor-text-btn {
  display: flex;
  align-items: center;
  color: #fff;
  line-height: 16px;
}

.btn__facebook {
  display: flex;
  border: none;
  align-items: center;
  background-color: #305db8;
  border-radius: 4px;
  margin-right: 8px;
  cursor: pointer;
  max-width: 158px;
  max-height: 48px;
  padding: 11px 22px 10px 10px;
}

.btn__facebook:hover {
  background-color: #022263;
}

.decor-text-btn::before {
  content: "";
  border-right: 1px solid #0a162f;
  height: 28px;
  opacity: 0.1;
  margin-right: 18px;
  margin-left: 14px;
}

.btn__google {
  display: flex;
  border: none;
  align-items: center;
  padding: 10px 26px 10px 10px;
  border-radius: 4px;
  background-color: #df4a32;
  max-width: 158px;
}

.decor-text-btn__google::before {
  margin-right: 30px;
}

.btn__google:hover {
  background-color: #ab1f09;
}

.decor-text-google {
  gap: 30px;
}

.decor-text-google::before {
  padding-left: 8px;
}

/* DECOR LINE */

.text-or {
  text-align: center;
  color: #848484;
  font-size: 14px;
  line-height: 14px;
  margin-top: 0;
  position: absolute;
  background-color: #fff;
  padding: 0 4px;
}

.text-or-wrap {
  position: relative;
  display: flex;
  justify-content: center;
  top: 32px;
}

.text-or-wrap::before {
  content: "";
  display: block;
  width: 100%;
  height: 1px;
  background-color: #f2f2f2;
  position: absolute;
  top: 8px;
}

/* FORM'S */

.first-name-input {
  margin-top: 57px;
}

.input-style:focus {
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
  border: 0;
  color: #434343;
}

.input-style {
  width: 100%;
  height: 44px;
  border-radius: 4px;
  border: 1px solid #f2f2f2;
  outline: none;
  padding: 15px 20px;
  color: #434343;
  font-size: 14px;
}

.input-style::placeholder {
  color: #bebebe;
}

.label-input {
  display: block;
  margin-bottom: 15px;
}

.label-input-x {
  margin-bottom: 12px;
}

.checkbox {
  position: relative;
}

.checkbox__input {
  -webkit-appearance: none;
  appearance: none;
  position: absolute;
}

.checkbox__label {
  color: #434343;
  font-size: 14px;
  padding-left: 30px;
  cursor: pointer;
  padding-bottom: 0px;
  margin-bottom: 20px;
}

.checkbox__label::before {
  content: "";
  display: block;
  width: 20px;
  height: 20px;
  margin-left: 2px;
  border: 1px solid #f2f2f2;
  background-color: #fff;
  position: absolute;
  top: 0px;
  left: 0px;
  z-index: 1;
}

.checkbox__label::after {
  content: "";
  display: block;
  width: 14px;
  height: 14px;
  background: url(../img/check.svg) no-repeat;
  background-size: 14px 14px;
  opacity: 0;
  position: absolute;
  z-index: 2;
  top: 3px;
  left: 5px;
}

.checkbox__input:checked + .checkbox__label::after {
  opacity: 1;
}

.btn__create__ccount {
  color: #fff;
  font-size: 16px;
  line-height: 16px;
  padding-top: 16px;
  padding-bottom: 16px;
  border-radius: 4px;
  background-color: rgba(60, 184, 120, 0.8);
  border: none;
  cursor: pointer;
}
.btn__create__ccount:hover {
  background-color: #01813f;
}

/* TRANSITION */

.transition__style {
  transition: color 350ms;
  transition: background-color 350ms;
  text-decoration: underline;
  text-decoration-color: transparent;
  transition: 350ms;
}
